#include <bits/stdc++.h>

using namespace std;


int main()
{
    long long p,q,r,L,R,res = 0;
    scanf("%I64d %I64d %I64d %I64d %I64d",&p,&q,&r,&L,&R);

    for(long long i = L;i <= R;i++)
    {
        if(ceil((long double)i/p) + ceil((long double)i/q) + ceil((long double)i/r) <= i)
        {
            res++;
        }
    }

    printf("%I64d",res);
    return 0;
}